Daemon Power

The NetBSD Packages Collection: editors/abiword-plugins

Brief description of the package:
Open Source cross-platform word processor

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.abiword.com/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "editors/abiword-plugins" directory. The current source version of the package is "abiword-plugins-3.0.2nb9". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for editors/abiword-plugins :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: psiconv>=0.8.3nb1 cwrappers>=20150314 libwpd>=0.9.5 librevenge>=0.0.1 boost-libs-1.71.* icu>=3.4 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 icu>=64.1 boost-jam-1.71.* cppunit>=1.10.2 boost-libs>=1.71.0 cppunit>=1.10.2nb5 boost-headers-1.71.* librevenge>=0.0.4nb10 libwpg>=0.1.3 libwpd>=0.10.1nb10 libwps>=0.4.0 loudmouth>=1.0 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 meson-[0-9]* ninja-build-[0-9]* re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.4 glib2>=2.34.0 telepathy-glib>=0.7.18 glib2>=2.36 gobject-introspection>=1.30.0 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=0.6.14nb1 vala>=0.44.1 glib2>=2.40.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gtk2+>=2.4.0 py27-expat-[0-9]* shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.38.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 x11-links>=1.30 osabi-NetBSD-8.0_STABLE fixesproto>=3.0.0<5 xorgproto>=2016.1 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 atk>=2.6.0 gdk-pixbuf2>=2.38.1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 python27>=2.7.1nb2 gobject-introspection>=0.9.3 lua52>=5.2.0<5.3 tk>=8.5.7 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tcl>=8.6.1nb1 perl>=5.30.0 perl<5.32.0 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.2.5nb2 gtk2+>=2.24.32nb10 tk>=8.6.8nb1 libltdl>=2.2.6 swig>=1.3.24<2.0 swig>=1.3.31<2.0 graphviz>=2.40.1nb22 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 dbus-glib>=0.90 glib2>=2.40 dbus>=1.8 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 libxslt>=1.1.8 libxslt>=1.1.28nb2 dbus>=0.91 dbus-glib>=0.61 dbus>=0.95 dbus-glib>=0.100nb1 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 py37-anytree-[0-9]* py37-six-[0-9]* py37-lxml-[0-9]* libxml2>=2.9.2 libxslt>=1.1.27 py37-pygments-[0-9]* pkgconf-[0-9]* source-highlight>=3.1.7nb2 exctags-[0-9]* rarian>=0.6.0 bash-[0-9]* source-highlight>=3.1.8nb10 itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.9 py37-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-libxml2>=2.6.8 py27-libxml2>=2.6.27 libxslt>=1.1.33 docbook-xml>=4.5 libxml2>=2.6.12 libgsf>=1.13.3 abiword>=3.0.1 adwaita-icon-theme>0 wv>=1.0.0 libwmf>=0.2.8nb2 libgsf>=1.14.45nb1 libwmf>=0.2.8.4nb15 hicolor-icon-theme>=0.4 librsvg>=2.12.6nb1 glib2>=2.24.0 pango>=1.38 freetype2>=2.8.0 cairo>=1.2.0 libcroco>=0.6.1 libcroco>=0.6.0 libxml2>=2.9 libcroco>=0.6.5nb2 rust-[0-9]* llvm>=8.0.0 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 nghttp2>=1.39.2nb1 curl>=7.65.3nb3 rust>=1.20.0 librsvg>=2.41 desktop-file-utils>=0.8 enchant2>=2 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 unittest-cpp>=2.0.0 redland>=1.0.7 raptor2>=2.0.7 raptor2>=2.0.6 rasqal>=0.9.17 gmp>=4.2.1 mpfr>=2.0.3 gmp>=5.0 gmp>=5.0.1 mpfr>=4.0.0 raptor2>=2.0.15nb12 rasqal>=0.9.33nb13 libical>=0.42 zonetab-[0-9]* gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.26.2 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.15 libva>=2.3.0 MesaLib>=7.11.2 libepoxy>=1.2 at-spi2-atk>=2.26.1nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gobject-introspection>=1.39.0 wv>=1.2.9nb13 librsvg>=2.44.14nb2 enchant2>=2.2.3 redland>=1.0.17nb18 libical>=3.0.3nb4 gtk3+>=3.24.8nb2 libchamplain012>=0.12.9 libmemphis02>=0.2.3 clutter>=1.0.0 glib2>=2.39.0 MesaLib>=7.0 libXcomposite>=0.4 atk>=2.5.3 pango>=1.30.0 cairo-gobject>=1.14.0 cogl>=1.20.0 cairo>=1.10.0 gobject-introspection>=0.9.5 cogl>=1.14.0 json-glib>=0.12.0 json-glib>=0.6.2 cogl>=1.22.0nb8 json-glib>=0.14.2nb3 clutter-gtk>=1.0 gtk3+>=3.6.0 clutter>=1.18.0 clutter>=1.26.2nb3 gobject-introspection>=0.9.12 libsoup>=2.50.0 glib-networking-[0-9]* gnutls>=3.6.0nb1 mozilla-rootcerts-[0-9]* gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libcfg+>=0.6.2nb3 nettle>=3.5.1 gnutls>=3.3.0 glib2>=2.56.0 libproxy>=0.3.1 libproxy>=0.2.3 gsettings-desktop-schemas>=3.4.2 gobject-introspection>=1.31 gnutls>=3.6.8nb1 libproxy>=0.4.11 brotli>=1.0.1 libpsl>=0.20.2 libpsl>=0.20.2nb3 libmemphis02>=0.2.3nb3 clutter-gtk>=1.6.0nb10 libsoup>=2.64.2nb3 goffice0.10>=0.10.0 libgsf>=1.14.24 libxml2>=2.4.12 pango>=1.24.0 librsvg>=2.22.0 lasem>=0.2.0 gtk3+>=3.8.7 lasem>=0.4.1nb15 aiksaurus>=1.2.1 link-grammar>=4.3.4 ots>=0.5.0 popt>=1.7nb3 popt>=1.16nb1 tidy>=5.1.25<20000000 psiconv>=0.9.6nb1 libwpg>=0.3.1nb13 libwps>=0.4.3nb10 loudmouth>=1.4.3nb6 telepathy-glib>=0.14.3nb7 abiword>=3.0.2nb9 libchamplain012>=0.12.10nb22 goffice0.10>=0.10.44nb1 link-grammar>=5.2.5 asio>=1.10.4 asio>=1.10.6nb1 .

This package requires the following package(s) to run: psiconv>=0.8.3nb1 libwpd>=0.9.5 librevenge>=0.0.1 boost-libs-1.71.* icu>=3.4 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 icu>=64.1 cppunit>=1.10.2 boost-libs>=1.71.0 cppunit>=1.10.2nb5 librevenge>=0.0.4nb10 libwpg>=0.1.3 libwpd>=0.10.1nb10 libwps>=0.4.0 loudmouth>=1.0 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.34.0 telepathy-glib>=0.7.18 glib2>=2.36 gobject-introspection>=1.30.0 py37-cElementTree-[0-9]* python37>=3.7.4 py37-expat-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=0.6.14nb1 vala>=0.44.1 glib2>=2.40.0 libltdl>=2.4.2 graphviz>=2.26.3 gd>=2.0.15nb1 perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gtk2+>=2.4.0 py27-expat-[0-9]* shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 atk>=2.6.0 gdk-pixbuf2>=2.38.1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb2 python27>=2.7.1nb2 lua52>=5.2.0<5.3 tk>=8.5.7 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tcl>=8.6.1nb1 perl>=5.30.0 perl<5.32.0 gts>=0.7.6 netpbm>=10.11.6 netpbm>=10.35.80nb6 gd>=2.2.5nb2 gtk2+>=2.24.32nb10 tk>=8.6.8nb1 libltdl>=2.2.6 graphviz>=2.40.1nb22 dbus-glib>=0.90 glib2>=2.40 dbus>=1.8 dbus>=0.91 dbus-glib>=0.61 dbus>=0.95 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 gobject-introspection>=1.34.0 dbus-glib>=0.100nb1 libxslt>=1.1.28nb2 libgsf>=1.13.3 readline>=2.2 abiword>=3.0.1 adwaita-icon-theme>0 wv>=1.0.0 libwmf>=0.2.8nb2 libgsf>=1.14.45nb1 libwmf>=0.2.8.4nb15 hicolor-icon-theme>=0.4 librsvg>=2.12.6nb1 glib2>=2.24.0 pango>=1.38 freetype2>=2.8.0 cairo>=1.2.0 libcroco>=0.6.1 libcroco>=0.6.0 libxml2>=2.9 libcroco>=0.6.5nb2 librsvg>=2.41 desktop-file-utils>=0.8 enchant2>=2 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 redland>=1.0.7 raptor2>=2.0.7 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 nghttp2>=1.39.2nb1 curl>=7.65.3nb3 raptor2>=2.0.6 rasqal>=0.9.17 gmp>=4.2.1 mpfr>=2.0.3 gmp>=5.0 gmp>=5.0.1 mpfr>=4.0.0 raptor2>=2.0.15nb12 rasqal>=0.9.33nb13 libical>=0.42 zonetab-[0-9]* gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.26.2 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libxshmfence>=1.2 libdrm>=2.4.15 libva>=2.3.0 MesaLib>=7.11.2 libepoxy>=1.2 at-spi2-atk>=2.26.1nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 wv>=1.2.9nb13 librsvg>=2.44.14nb2 enchant2>=2.2.3 redland>=1.0.17nb18 libical>=3.0.3nb4 gtk3+>=3.24.8nb2 libchamplain012>=0.12.9 libmemphis02>=0.2.3 clutter>=1.0.0 glib2>=2.39.0 MesaLib>=7.0 libXcomposite>=0.4 atk>=2.5.3 pango>=1.30.0 cairo-gobject>=1.14.0 cogl>=1.20.0 cairo>=1.10.0 cogl>=1.14.0 json-glib>=0.12.0 json-glib>=0.6.2 cogl>=1.22.0nb8 json-glib>=0.14.2nb3 clutter-gtk>=1.0 gtk3+>=3.6.0 clutter>=1.18.0 clutter>=1.26.2nb3 libsoup>=2.50.0 glib-networking-[0-9]* gnutls>=3.6.0nb1 mozilla-rootcerts-[0-9]* gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libcfg+>=0.6.2nb3 nettle>=3.5.1 gnutls>=3.3.0 glib2>=2.56.0 libproxy>=0.3.1 libproxy>=0.2.3 gsettings-desktop-schemas>=3.4.2 gnutls>=3.6.8nb1 libproxy>=0.4.11 brotli>=1.0.1 libpsl>=0.20.2 libpsl>=0.20.2nb3 libmemphis02>=0.2.3nb3 clutter-gtk>=1.6.0nb10 libsoup>=2.64.2nb3 goffice0.10>=0.10.0 libgsf>=1.14.24 libxml2>=2.4.12 pango>=1.24.0 librsvg>=2.22.0 lasem>=0.2.0 gtk3+>=3.8.7 lasem>=0.4.1nb15 aiksaurus>=1.2.1 link-grammar>=4.3.4 ots>=0.5.0 popt>=1.7nb3 popt>=1.16nb1 tidy>=5.1.25<20000000 psiconv>=0.9.6nb1 libwpg>=0.3.1nb13 libwps>=0.4.3nb10 loudmouth>=1.4.3nb6 telepathy-glib>=0.14.3nb7 readline>=6.0 abiword>=3.0.2nb9 libchamplain012>=0.12.10nb22 goffice0.10>=0.10.44nb1 link-grammar>=5.2.5 .

This package supports the following build-time options:

debug
Enable debugging facilities in the package.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earm:abiword-plugins-3.0.1nb2.tgz(NetBSD 7.0)
earmv6hf:abiword-plugins-3.0.1nb2.tgz(NetBSD 7.0)
earmv6hf:abiword-plugins-3.0.2nb4.tgz(NetBSD 8.0)
earmv7hf:abiword-plugins-3.0.1nb2.tgz(NetBSD 7.0)
earmv7hf:abiword-plugins-3.0.2nb4.tgz(NetBSD 8.0)
i386:abiword-plugins-3.0.1nb28.tgz(NetBSD 7.1)
i386:abiword-plugins-3.0.1nb28.tgz(NetBSD 8.0)
sparc64:abiword-plugins-3.0.2nb5.tgz(NetBSD 8.0)
sparc64:abiword-plugins-3.0.2nb4.tgz(NetBSD 8.0)
x86_64:abiword-plugins-3.0.1nb28.tgz(NetBSD 7.1)
x86_64:abiword-plugins-3.0.1nb28.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]